Loading...
Searching...
No Matches
Opm::Elasticity::MortarUtils Class Reference

## Static Public Member Functions

static void | extractBlock (Vector &x, const Vector &y, int len, int start=0)
| Extract a range of indices from a vector.
static void | injectBlock (Vector &x, const Vector &y, int len, int start=0)
| Inject a range of indices into a vector.

## Member Function Documentation

## extractBlock()

void Opm::Elasticity::MortarUtils::extractBlock | ( | Vector & | x,
|  | const Vector & | y,
|  | int | len,
|  | int | start = 0 )

inline static

Extract a range of indices from a vector.

Parameters

  [out] | x | The vector with the extracted data
  [in] | y | The vector
  [in] | len | The number of indices to extract
  [in] | start | The first index in the range

## injectBlock()

void Opm::Elasticity::MortarUtils::injectBlock | ( | Vector & | x,
|  | const Vector & | y,
|  | int | len,
|  | int | start = 0 )

inline static

Inject a range of indices into a vector.

Parameters

  [in,out] | x | The vector to inject into
  [in] | y | The vector with the data to inject
  [in] | len | The number of indices to inject
  [in] | start | The first index in the range

The documentation for this class was generated from the following file:

- opm/elasticity/mortar_utils.hpp